メインコンテンツへスキップ
GET
/
2
/
compliance
/
jobs
コンプライアンス ジョブを取得
curl --request GET \
  --url https://api.x.com/2/compliance/jobs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2021-01-06T18:40:40.000Z",
      "download_expires_at": "2021-01-06T18:40:40.000Z",
      "download_url": "<string>",
      "id": "1372966999991541762",
      "status": "created",
      "type": "tweets",
      "upload_expires_at": "2021-01-06T18:40:40.000Z",
      "upload_url": "<string>",
      "name": "my-job"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "result_count": 123
  }
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

type
enum<string>
必須

一覧表示する Compliance Job の type。

利用可能なオプション:
tweets,
users
status
enum<string>

一覧表示する Compliance Job の状態。

利用可能なオプション:
created,
in_progress,
failed,
complete
compliance_job.fields
enum<string>[]

返す ComplianceJob フィールドをカンマ区切りで指定します。 ComplianceJob オブジェクトで使用可能なフィールド。

Minimum array length: 1
利用可能なオプション:
created_at,
download_expires_at,
download_url,
id,
name,
resumable,
status,
type,
upload_expires_at,
upload_url
:
[
  "created_at",
  "download_expires_at",
  "download_url",
  "id",
  "name",
  "resumable",
  "status",
  "type",
  "upload_expires_at",
  "upload_url"
]

レスポンス

リクエストは正常に完了しました。

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。

meta
object